<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--  param : selectedOrder
            enableStatusEdit: if true enable the user to change result status and order status
            managedBean: if enableStatusEdit = true  -->
    <ui:decorate template="/common/abstractOrderDetails.xhtml">
        <ui:param name="enableStatusEdit" value="#{enableStatusEdit}"/>
        <ui:param name="managedBean" value="#{managedBean}"/>
        <ui:define name="displayUniversalServiceId">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('labUniversalServiceId', selectedOrder.universalServiceId)}"/>
            </s:decorate>
        </ui:define>
        <ui:define name="leftColumn">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.DiagnosticService']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('diagnosticService', selectedOrder.diagnosticServiceSectionID)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ResultCopiesTo']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('doctor', selectedOrder.resultCopiesTo)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ExpectedAvailableDatetime']}</ui:define>
                <g:date value="#{selectedOrder.expectedAvailabilityDateTime}"/>
            </s:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
